org.eclipse.emf.facet.util.emf.core.serialization

## Interface ISerializationService

    public interface ISerializationService

Provides a serialization service so that the following is true:
`deserialize(serialize(object)) == object`

Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ISerializationService` `INSTANCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `deserialize(java.lang.String serializedValue)` Deserialize the given string back into the value.
`java.lang.String` `serialize(java.lang.Object instanceValue)` Serialize the given value.

### Field Detail

#### INSTANCE

    static final ISerializationService INSTANCE

### Method Detail

#### serialize

    java.lang.String serialize(java.lang.Object instanceValue)

Serialize the given value.

#### deserialize

    java.lang.Object deserialize(java.lang.String serializedValue)

Deserialize the given string back into the value.